Name:           metamorphose2
Version:        0.7.1
Release:        4%{?dist}
Summary:        A cross platform file and folder mass renamer

Group:          Applications/File
License:        GPLv2+
URL:            http://sourceforge.net/projects/file-folder-ren/
Source0:        http://downloads.sourceforge.net/file-folder-ren/%{name}_%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python2 desktop-file-utils 
Requires:       wxPython python-mutagen


%description
A cross platform file and folder mass renamer, allows many different
renaming operations in a GUI. Features include search and replace (with RE),
insert, numbering, date/time, id3 & EXIF tag read, change length, get all
files in sub-dirs, undo/redo, etc.


%prep
%setup -q -n %{name}_%{version}

sed -i -e "s|Categories=Utility;Filesystem;|Categories=Utility;System;|" metamorphose2.desktop

chmod -x src/operations/greek_numb.py src/EXIF.py src/mutagen/__init__.py

sed '/\/usr\/bin\/env/d' -i src/EXIF.py src/mutagen/__init__.py \
                            src/operations/greek_numb.py

%build


%install
rm -rf $RPM_BUILD_ROOT
make build DESTDIR=$RPM_BUILD_ROOT


mkdir -p $RPM_BUILD_ROOT%{_datadir}/man/man1/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_bindir}


make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor=""                                    \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications/              \
        %{name}.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_datadir}/doc/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_bindir}/%{name}

%changelog
* Tue Dec 20 2010 pingou <pingou@pingoured.fr> 0.7.1-4
- Add python-mutagen as Requires
- from the doc tag for document in _datadir/doc

* Tue Dec 20 2010 pingou <pingou@pingoured.fr> 0.7.1-3
- Remove wxGTK from Requires
- Use wildcard for the man pages
- Remove gettext from BuildRequires
- Remove shebang from non-script files

* Thu Dec 09 2010 pingou <pingou@pingoured.fr> 0.7.1-2
- Change version from 2.0.7.1 to 0.7.1 since the version 2 is already included in the name
- Fix the .desktop file
- Adjust changelog to reflect choice made on the version numbering

* Thu Dec 09 2010 pingou <pingou@pingoured.fr> 0.7.1-1
- Update to 0.7.1

* Sat May 08 2010 pingou <pingou@pingoured.fr> 0.7.0-1
- Update to 0.7.0

* Sat Mar 21 2009 Pingou <pingoufc4@yahoo.fr> 0.6.0-1
- Update to version 0.6.0

* Tue May 06 2008 Pingou <pingoufc4@yahoo.fr> 0.4.3-1
- Update to version 0.4.3

